//
//  ViewController.swift
//  ExternalScreenDemo
//
//  Created by Kevin McNeish on 12/8/14.
//  Copyright (c) 2014 Oak Leaf Enterprises, Inc. All rights reserved.
//

import UIKit
import CoreLocation
import MapKit

class ViewController: UIViewController, MKMapViewDelegate {
    
    @IBOutlet weak var mapView: MKMapView!
    
    var locationManager: CLLocationManager?
    var adjustRegion: MKCoordinateRegion?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        locationManager = CLLocationManager()
        locationManager?.requestWhenInUseAuthorization()
        
//        // Initialize an external screen if one is present
//        let screens = UIScreen.screens()
//        if screens.count > 1 {
//
//            //An external screen is available. Get the first screen available
//            self.initializeExternalScreen(screens[1] as UIScreen)
//        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func mapView(mapView: MKMapView!, didUpdateUserLocation userLocation: MKUserLocation!) {
        
        // the location object that we want to initialize based on the string
        var location: CLLocationCoordinate2D = CLLocationCoordinate2D(latitude: userLocation.coordinate.latitude, longitude: userLocation.coordinate.longitude)
        
        var region = MKCoordinateRegionMakeWithDistance(location, 2000, 2000);
        
        // for correcting map aspect view
        self.adjustRegion = self.mapView.regionThatFits(region)
        self.mapView.setRegion(self.adjustRegion!, animated: true)
        
        region = MKCoordinateRegionMakeWithDistance(location, 100000, 100000);
        self.adjustRegion = self.mapView.regionThatFits(region)
        
//        self.adjustExternalScreenRegion()
    }
    
//    // Initialize an external screen
//    func initializeExternalScreen(externalScreen: UIScreen) {
//        
//        // Create a new window sized to the external screen's bounds
//        self.externalWindow = UIWindow(frame: externalScreen.bounds)
//        
//        // Assign the screen object to the screen property of the new window
//        self.externalWindow.screen = externalScreen;
//        
//        // Configure the MapView
//        var view = UIView(frame: self.externalWindow.frame)
//        self.externalMap = MKMapView(frame: self.externalWindow.frame)
//        externalMap!.showsUserLocation = true
//        view.addSubview(self.externalMap!)
//        self.externalWindow.addSubview(view)
//        
//        // Make the window visible
//        self.externalWindow.makeKeyAndVisible()
//        
//        // Zoom in on the map in the external display
//        self.adjustExternalScreenRegion()
//    }
//    
//    func adjustExternalScreenRegion()
//    {
//        if let externalMap = self.externalMap {
//            if let adjustRegion = self.adjustRegion {
//                externalMap.setRegion(adjustRegion, animated: true)
//            }
//        }
//    }
    
}

